EDIT - task #7039

Remove Hacks for RL 2017 from Distribution Editor
10/27/2017 12:11 PM - Fabian Reimeier

Status: In Progress Start date:

Priority: New Due date:

Assignee: Andreas Muller % Done: 50%
Category: cdm-vaadin Estimated time: 0:00 hour
Target version: Unassigned CDM tickets

Severity: normal

Description

There are to very ugly hacks for RL 2017 related to the "DE" table column in DistributinTableViewBean. They have to be removed as
soon as possible.

Associated revisions

Revision c92b53a5 - 04/06/2018 12:00 PM - Fabian Reimeier

ref #7039 made preparations to retrieve uneditable areas from preferences

History

#1 - 02/01/2018 09:41 PM - Andreas Miuller

- Category set to cdm-vaadin

#2 - 04/06/2018 12:01 PM - Fabian Reimeier
- Status changed from New to In Progress

- % Done changed from 0 to 50

#3 - 04/06/2018 12:12 PM - Fabian Reimeier

- Assignee changed from Fabian Reimeier to Andreas Miiller

| made some preparations for removing the hacks and retrieving the uneditable areas from preferences.
@Andreas Miiller Could you create a cdm preference for configuring uneditable NamedAreas like you did for allowed PresenceAbsenceTerms?

CdmPreference statusPref = CdmSpringContextHelper.getPreferenceService () .findVaadin (PreferencePredicate.
AvailableDistributionStatus);
